=== modified file 'NEWS'
--- NEWS	2009-12-14 23:32:17 +0000
+++ NEWS	2009-12-15 06:53:38 +0000
@@ -5,11 +5,50 @@
 .. contents:: List of Releases
    :depth: 1
 
-bzr 2.1.0b4 (not released yet)
-##############################
+bzr 2.1.0rc1 (not released yet)
+###############################
+
+:Codename: mysterioso
+:2.1.0rc1: 2009-01-06 (expected)
+
+Compatibility Breaks
+********************
+
+New Features
+************
+
+Bug Fixes
+*********
+
+Improvements
+************
+
+Documentation
+*************
+
+API Changes
+***********
+
+Internals
+*********
+
+Testing
+*******
+
+
+bzr 2.1.0b4
+###########
 
 :Codename: san francisco airport
-:2.1.0b4: ???
+:2.1.0b4: 2009-12-14
+
+The fourth beta release in the 2.1 series brings with it a significant
+number of bugfixes (~20). The test suite is once again (finally) "green"
+on Windows, and should remain that way for future releases. There are a
+few performance related updates (faster upgrade and log), and several UI
+tweaks. There has also been a significant number of tweaks to the runtime
+documentation. 2.1.0b4 include everything from the 2.0.3 release.
+
 
 Compatibility Breaks
 ********************
@@ -117,6 +156,10 @@
 * ``bzr update`` provides feedback on which branch it is up to date with.
   (Neil Martinsen-Burrell)
 
+* ``bzr upgrade`` from pre-2a to 2a can be significantly faster (4x).
+  For details see the xml8 patch and heads() improvements.
+  (John Arbash Meinel)
+
 * ``bzrlib.urlutils.local_path_from_url`` now accepts
   'file://localhost/' as well as 'file:///' URLs on POSIX.  (Michael
   Hudson)
@@ -130,6 +173,9 @@
 Documentation
 *************
 
+* Lots of documentation tweaks for inline help topics and command help
+  information.
+
 API Changes
 ***********
 
@@ -162,17 +208,17 @@
 * TestCaseWithMemoryTransport no longer sets $HOME and $BZR_HOME to
   unicode strings. (Michael Hudson, #464174)
 
-bzr 2.0.3 (not released yet)
-############################
-
-:Codename: 
-:2.0.3: ???
-
-Compatibility Breaks
-********************
-
-New Features
-************
+
+bzr 2.0.3
+#########
+
+:Codename: little italy
+:2.0.3: 2009-12-14
+
+
+The third stable release of Bazaar has a small handful of bugfixes. As
+expected, this has no internal or external compatibility changes versus
+2.0.2 (or 2.0.0).
 
 Bug Fixes
 *********
@@ -191,23 +237,6 @@
 
 * Improve "Binary files differ" hunk handling.  (Aaron Bentley, #436325)
 
-Improvements
-************
-
-Documentation
-*************
-* Include Japanese translations for documentation (Inada Naoki)
-
-API Changes
-***********
-
-Internals
-*********
-
-Testing
-*******
-
-
 
 bzr 2.1.0b3
 ###########
@@ -432,21 +461,6 @@
   start reading 'inventories', etc.) This can have a significant impact on
   peak memory for initial copies (~200MB). (John Arbash Meinel)
 
-Improvements
-************
-
-Documentation
-*************
-
-API Changes
-***********
-
-Internals
-*********
-
-Testing
-*******
-
 
 bzr 2.0.2
 #########

=== modified file 'bzrlib/__init__.py'
--- bzrlib/__init__.py	2009-11-16 19:45:47 +0000
+++ bzrlib/__init__.py	2009-12-15 06:32:48 +0000
@@ -44,7 +44,7 @@
 # Python version 2.0 is (2, 0, 0, 'final', 0)."  Additionally we use a
 # releaselevel of 'dev' for unreleased under-development code.
 
-version_info = (2, 1, 0, 'dev', 4)
+version_info = (2, 1, 0, 'dev', 5)
 
 # API compatibility version: bzrlib is currently API compatible with 1.15.
 api_minimum_version = (2, 1, 0)

